%global debug_package %{nil}
%global sover 1

%global forgeurl https://github.com/tboox/tbox
Version:        1.7.5
%forgemeta

Name:           tbox
Release:        %autorelease
Summary:        A glib-like multi-platform c library

# The library is mainly under Apache-2.0 license, except:
# src/tbox/platform/arch/{arm,arm64,mips,x86,x64}/context.{S,asm}: BSL-1.0
# src/tbox/hash/adler32.c: Zlib
License:        Apache-2.0 AND BSL-1.0 AND Zlib
URL:            %{forgeurl}
Source0:        %{forgesource}
Patch0:         0001-build-fix-DESTDIR.patch

BuildRequires:  gcc
BuildRequires:  make

%description
TBOX is a glib-like cross-platform C library that is simple to use yet powerful
in nature.

The project focuses on making C development easier and provides many modules
(.e.g stream, coroutine, regex, container, algorithm ...), so that any developer
can quickly pick it up and enjoy the productivity boost when developing in C
language.

It supports the following platforms: Windows, Macosx, Linux, Android, iOS, *BSD
and etc.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for developing
applications that use %{name}.

%prep
%forgeautosetup -p1

chmod -x README.md LICENSE.md

cat > %{name}.pc << EOF
prefix=%{_prefix}
exec_prefix=${prefix}
libdir=%{_libdir}
includedir=%{_includedir}

Name: %{name}
Description: %{summary}
Version: %{version}
Libs: -ltbox
EOF

%build
%configure --demo=no \
    --hash=yes \
    --charset=yes \
    --force-utf=yes \
    --kind=shared \

%make_build

%install
%make_install

mkdir -p %{buildroot}%{_libdir}/pkgconfig
install -pDm644 %{name}.pc %{buildroot}%{_libdir}/pkgconfig/%{name}.pc

%files
%license LICENSE.md
%doc README.md
%{_libdir}/libtbox.so.%{sover}*

%files devel
%{_includedir}/tbox/
%{_libdir}/libtbox.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
%autochangelog
